Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666088 - x11-plugins/wm* stable request then cleanup old
Summary: x11-plugins/wm* stable request then cleanup old
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernard Cafarelli
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2018-09-12 17:45 UTC by Michael Mair-Keimberger (iamnr3)
Modified: 2021-04-18 21:23 UTC (History)
0 users

See Also:
Package list:
x11-plugins/docker-1.5-r2
Runtime testing required: ---
nattka: sanity-check+


Attachments
stable-list (x11-plugins-wm-stable-req.txt,2.10 KB, text/plain)
2018-09-12 17:45 UTC, Michael Mair-Keimberger (iamnr3)
no flags Details
stable-list (x11-plugins-wm-stable-req.txt,2.07 KB, text/plain)
2018-09-19 11:07 UTC, Michael Mair-Keimberger (iamnr3)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mair-Keimberger (iamnr3) 2018-09-12 17:45:21 UTC
Created attachment 546782 [details]
stable-list

Hi,

Can we please mark stable following list of packages:

x11-plugins/bfm-0.6.4-r3
x11-plugins/bubblemon-1.46-r3
x11-plugins/cputnik-0.2.0-r1
x11-plugins/docker-1.5-r2
x11-plugins/wmacpi-2.3-r1
x11-plugins/wmapm-3.1-r2
x11-plugins/wmappl-0.71-r1
x11-plugins/wmbatteries-0.1.3-r1
x11-plugins/wmbinclock-0.5-r1
x11-plugins/wmcalc-0.6-r1
x11-plugins/wmCalClock-1.25-r3
x11-plugins/wmcalendar-0.5.2-r2
x11-plugins/wmcliphist-2.1-r2
x11-plugins/wmclock-1.0.16-r1
x11-plugins/wmclockmon-0.8.1-r1
x11-plugins/wmcp-1.2.8-r1
x11-plugins/wmdots-0.2_beta-r1
x11-plugins/wmdrawer-0.10.5-r3
x11-plugins/wmfire-1.2.4-r3
x11-plugins/wmfishtime-1.24-r3
x11-plugins/wmfortune-0.241-r1
x11-plugins/wmgrabimage-0.72-r2
x11-plugins/wmifinfo-0.10-r1
x11-plugins/wminet-3.0.0-r2
x11-plugins/wmitime-0.5-r1
x11-plugins/wmload-0.9.7-r1
x11-plugins/wmMatrix-0.2-r2
x11-plugins/wmmemload-0.1.8-r1
x11-plugins/wmmenu-1.3-r2
x11-plugins/wmmisc-1.2
x11-plugins/wmmon+smp-1.0-r3
x11-plugins/wmmp3-0.12-r1
x11-plugins/wmnet-1.06-r2
x11-plugins/wmpager-1.2-r2
x11-plugins/wmpeople-1.3-r1
x11-plugins/wmpop3lb-2.4.2-r3
x11-plugins/wmpower-0.4.3-r1
x11-plugins/wmrecord-1.0.5.3-r2
x11-plugins/wmsmixer-0.5.1-r1
x11-plugins/wmSMPmon-3.1-r2
x11-plugins/wmSpaceWeather-1.04_p19-r1
x11-plugins/wmSun-1.05-r1
x11-plugins/wmsystray-0.1.1-r1
x11-plugins/wmudmount-2.2-r2
x11-plugins/wmwifi-0.6-r1
x11-plugins/wmwork-0.2.5-r1
x11-plugins/wmxkb-1.2.2-r1
x11-plugins/wmXName-0.1-r1
x11-plugins/wmxres-1.2-r1

All packages are in the tree for 41 or more days. There are no open bugs for any of the packages. All packages, except for x11-plugins/wmpager, belong to voyageur, but since wmpager falls to the same category i added it aswell.

I've also added a textfile with the list and with the arches it should be stabelized.
Comment 1 Bernard Cafarelli gentoo-dev 2018-09-15 20:27:20 UTC
Ack from me (also member of gnustep@ for wmpager), these contain updated EAPI and other fixes, mostly by Michael (thanks again for the huge help here).

CC-ing arches
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2018-09-18 22:32:57 UTC
ia64 stable
Comment 3 Michael Mair-Keimberger (iamnr3) 2018-09-19 11:07:09 UTC
Created attachment 547288 [details]
stable-list

I've updated the list and removed x11-plugins/wmpager as it was stabelized in the meantime via commit: https://github.com/gentoo/gentoo/commit/4736d120a8e7ee53df4b4d8c24c0c9e3194b4891
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-09-19 18:30:05 UTC
x86 stable
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2018-09-22 11:48:32 UTC
ppc64 stable
Comment 6 Sergei Trofimovich (RETIRED) gentoo-dev 2018-09-22 11:49:38 UTC
ppc stable
Comment 7 Tobias Klausmann gentoo-dev 2018-10-11 12:46:28 UTC
Stable on alpha.
Comment 8 Sam James archtester gentoo-dev Security 2021-02-26 20:43:13 UTC
Reopening for amd64 as -r1 got stabled, not -r2
Comment 9 Andreas Sturmlechner gentoo-dev 2021-04-18 11:25:58 UTC
Stable list got messed up at some point...
Comment 10 Sam James archtester gentoo-dev Security 2021-04-18 21:19:15 UTC
amd64 done

all arches done
Comment 11 Larry the Git Cow gentoo-dev 2021-04-18 21:23:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=029ae309188a2068e4e48be0219530bc61271f85

commit 029ae309188a2068e4e48be0219530bc61271f85
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-04-18 21:22:58 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-04-18 21:23:29 +0000

    x11-plugins/docker: Drop 1.5-r1, EAPI5--
    
    Closes: https://bugs.gentoo.org/666088
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 x11-plugins/docker/docker-1.5-r1.ebuild | 36 ---------------------------------
 1 file changed, 36 deletions(-)